### Method

# Ide Buffer set_diagnostics

#### Declaration

    void
    ide_buffer_set_diagnostics (
      IdeBuffer* self,
      IdeDiagnostics* diagnostics
    )

#### Description

Sets the `IdeDiagnostics` for the buffer. These will be used to highlight the buffer for errors and warnings if `IdeBuffer:highlight-diagnostics` is `TRUE`.

Available since: | 3.32

Sets property | `Ide.Buffer:diagnostics`

#### Parameters

`diagnostics` | `IdeDiagnostics`
| An `IdeDiagnostics`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.